View Issue Details

IDProjectCategoryView StatusLast Update
0000477Industrial-Craft²machinespublic2013-08-01 15:58
ReporterRikka0_0Assigned ToThunderdark 
PrioritynormalSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
PlatformX64OSWindowsOS Version7
Product Version 
Target VersionFixed in Version 
Summary0000477: When pumps put next to a compressor, tragedy occurs.....
DescriptionI find this bug today(in 1.5.2) and it still exist in the latest build for 1.6.1!

Here is a part of crash report, I'm sure there's something wrong with the update() of the Compressor tile entity:



---- Minecraft Crash Report ----
// I just don't know what went wrong :(

Time: 13-7-7 下午4:48
Description: Ticking tile entity

java.lang.NullPointerException
at ic2.core.block.machine.tileentity.TileEntityCompressor.getValidPump(TileEntityCompressor.java:127)
at ic2.core.block.machine.tileentity.TileEntityCompressor.canOperate(TileEntityCompressor.java:77)
at ic2.core.block.machine.tileentity.TileEntityStandardMachine.func_70316_g(TileEntityStandardMachine.java:141)
at net.minecraft.world.World.func_72939_s(World.java:2207)
Steps To ReproducePut a compressor first, then put a pump next to it........
TagsNo tags attached.
Minecraft Version

Relationships

has duplicate 0000494 resolvedThunderdark Pump + compressor = Crash 

Activities

Thunderdark

2013-08-01 15:58

viewer   ~0001188

fix in git (temporary remove direct connection will readd with noew Liquid system )

Issue History

Date Modified Username Field Change
2013-07-11 01:41 Rikka0_0 New Issue
2013-07-24 06:51 Thunderdark Assigned To => Thunderdark
2013-07-24 06:51 Thunderdark Status new => assigned
2013-07-26 13:30 Thunderdark Relationship added has duplicate 0000494
2013-08-01 15:58 Thunderdark Note Added: 0001188
2013-08-01 15:58 Thunderdark Status assigned => resolved
2013-08-01 15:58 Thunderdark Fixed in Version => 1.118 beta
2013-08-01 15:58 Thunderdark Resolution open => fixed